ru.bitel.bgbilling.modules.bill.server.events

## Class InvoiceCreatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.bill.server.events.InvoiceCreatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InvoiceCreatedEvent
      extends QueueEvent

  Асинхронное событие - создан счет.
  Событие генерируется при создании счета-фактуры в модуле. Используется для скриптов.
  Унаследовано от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InvoiceCreatedEvent()`
    `` | `InvoiceCreatedEvent(int userId, int mid, int cid, int invoiceId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInvoiceId()` Возвращает идентификатор счета-фактуры.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvoiceCreatedEvent

          protected InvoiceCreatedEvent()

    - #### InvoiceCreatedEvent

          public InvoiceCreatedEvent(int userId,
                                     int mid,
                                     int cid,
                                     int invoiceId)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `cid` - - код договора
        `invoiceId` - - код счета-фактуры в таблице bill_invoice_data_{mid}

  - ### Method Detail

    - #### getInvoiceId

          public int getInvoiceId()

      Возвращает идентификатор счета-фактуры.
      Returns:
        invoiceId - идентификатор счета-фактуры (id в таблице bill_invoice_data_{mid})